PSP Audioware - oldTimerMB *

Product Details

  • Compatible with Studio One® Professional (versions 3.5.5 and higher) or Studio One Artist with separately purchased "VST and AU and ReWire Support" Add-on (versions 3.5.5 and higher)
  • Vintage-style, analog-like processing
  • The flagship PSP compressor in a multi-band edition
  • Musical and warm-sounding processor with a range of controls
  • Bands can be individually engaged, so any configuration of one to three bands is possible
  • Switchable and adjustable output valve emulation adds a choice of additional colors to the sound
  • Convincing valve output-stage emulation
  • Crossover with switchable order 6/12 or 24 dB/oc
  • ***PSP oldTimerMB requires the use of a Pace iLok account. A hardware USB iLok dongle is NOT required; however, it is optional. Studio One does not require Pace iLok products for normal operation. 

PSP oldTimerMB is a vintage-style multi-band compressor designed for demanding track processing, bus and mix compression, and mastering.  PSP's aim in developing this plug-in was to design a high-end multi-band processor based on the algorithm from their best-selling PSP oldTimer compressor. The result is a musical and warm-sounding processor with a range of controls that make it a vital tool for virtually any kind of music. Switchable and adjustable output valve emulation adds a choice of additional colors to the sound. Enjoy the versatility and quality of PSP oldTimerMB!

System Requirements

Compatible with Studio One® Professional (versions 3.5.5 and higher) or Studio One Artist with separately purchased "VST and AU and ReWire Support" (versions 3.5.5 and higher)

General Specs

  • Intel® Core 2 Duo, AMD Athlon 64 X2 or newer
  • iLok account
  • iLok generation 2 and up, if you intend to use an iLok dongle for authorizing your plug-ins (note that an iLok dongle is not a requirement).
  • Internet access for downloading the plug-ins and managing the licenses.

Windows®

VST3

  • Windows x32 or x64 (7, 8 or 10)
  • VST3-compatible application
  • The latest iLok License Manager installed

VST

  • Windows x32 or x64 (7, 8 or 10)
  • VST 2.4-compatible application
  • The latest iLok License Manager installed

RTAS

  • Windows x32 or x64 (7, 8 or 10)
  • Pro Tools 8.0.0 (or later)
  • The latest iLok License Manager installed

AAX

  • Windows x32 or x64 (7, 8 or 10)
  • Pro Tools 10, 11, 12; or Pro Tools HD 10, 11, or 12; or Pro Tools Ultimate
  • The latest iLok License Manager installed

macOS® (Intel)

Audio Unit

  • macOS 10.8 - 10.15 or later
  • 32- or 64-bit host application
  • The latest iLok License Manager installed

VST

  • macOS 10.8 - 10.15 or later
  • 32- or 64-bit VST 2.4 compatible host application
  • The latest iLok License Manager installed

VST3

  • macOS 10.8 - 10.15 or later
  • 32- or 64-bit VST3 compatible host application
  • The latest iLok License Manager installed

RTAS

  • macOS 10.8, 10.9, 10.10, or 10.11
  • Pro Tools LE 8.0.0 or Pro Tools TDM 8.0.0 (or later)
  • The latest iLok License Manager installed

AAX

  • macOS 10.8 - 10.15 or later
  • Pro Tools 11 or 12; or Pro Tools HD 11 or 12; or Pro Tools Ultimate
  • The latest iLok License Manager installed